0

I tried to install eclipse EE on top of regular eclipse downloaded through ubuntu store - after the installation eclipse won't open.
tried installing eclipse ee through .deb, "An error has occurred. See the log file /home/v/Downloads/eclipse/configuration/1631686693143.log." error is produced, I tried deleting .metadata from workspace, no use.
Don't ubuntu 20.04 users use Eclipse EE?

Sequence of steps and errors

  • Opening eclipse ee downloaded from the web
  • Error : An error has occurred.
    See the log file /home/v/Downloads/eclipse/configuration/1631688631777.log.
  • 1631688631777.log :
!SESSION 2021-09-15 12:20:31.324 -----------------------------------------------
eclipse.buildId=I20100608-0911
java.version=11.0.11
java.vendor=Ubuntu
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_IN
Framework arguments:  -product org.eclipse.epp.package.jee.product
Command-line arguments:  -os linux -ws gtk -arch x86_64 -product org.eclipse.epp.package.jee.product

!ENTRY org.eclipse.equinox.simpleconfigurator 4 0 2021-09-15 12:20:32.488
!MESSAGE 
!STACK 0
org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503 [1]" could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1317)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1301)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:319)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:374)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1067)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:561)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:546)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:459)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:440)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:227)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:337)

!ENTRY org.eclipse.osgi 4 0 2021-09-15 12:20:32.503
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503.jar/ was not resolved.

!ENTRY org.eclipse.osgi 2 0 2021-09-15 12:20:32.528
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2021-09-15 12:20:32.529
!MESSAGE Bundle org.eclipse.equinox.simpleconfigurator_1.0.200.v20100503 [1] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.simpleconfigurator 2 0 2021-09-15 12:20:32.529
!MESSAGE Missing Constraint: Bundle-RequiredExecutionEnvironment: CDC-1.1/Foundation-1.1,J2SE-1.4

!ENTRY org.eclipse.osgi 4 0 2021-09-15 12:20:32.532
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.base/java.lang.reflect.Method.invoke(Method.java:566)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
    at org.eclipse.equinox.launcher.Main.main(Main.java:1383)
New contributor
s07_190030259 is a new contributor to this site. Take care in asking for clarification, commenting, and answering. Check out our Code of Conduct.
4
  • This question should include additional diagnostic info. Edit your question and include 1) the command you used; 2) the complete output; and 3) the contents of the log file that is referenced. So that we can parse the information please format your post using code fences so that line breaks are preserved and it can be distinguished from the surrounding text.
    – Nmath
    Sep 15 at 6:37
  • Please edit the question to limit it to a specific problem with enough detail to identify an adequate answer.
    – Community
    2 days ago
  • What do you mean by "eclipse EE"? Eclipse for Java or what? How exactly it was installed?
    – N0rbert
    2 days ago
  • @N0rbert Yes, I was referring to Eclipse for Java EE development, I installed through various methods each time(.tar.gz file from official website, through terminal, through ubuntu store) yesterday
0

Did you copy the downloaded eclipse files over the ubuntu-store installed version? That is not a good idea.

The different versions of eclipse that you can download are actually the same version of eclipse, with a different set of plugins and addons installed. So you can either

1
  • I removed each eclipse version before trying to install other one through other method through purge and remove commands, so I don't think the files were copied over one another, thank you. yesterday
0

For reproducible way I would to recommend to install Eclipse Java EE using Ubuntu Make:

sudo add-apt-repository ppa:lyzardking/ubuntu-make
sudo apt-get update
sudo apt-get install ubuntu-make

umake ide eclipse-jee
0

Thanks for all the comments and answers. The installation did work at last. I don't know what exactly worked, but here are the steps I followed, for posterity.

After installing and uninstalling several times, I followed this tutorial after which I got a different error, about a missing dependency.

I again purged and removed eclipse through terminal and tried installing eclipse through official website and it worked this time.

I don't think this makes a difference, but this time I installed eclipse in a new directory in downloads/ folder.

I think due to trying to install multiple times, on each attempt I fulfilled a different requirement like specifying jvm,... I don't know.

New contributor
s07_190030259 is a new contributor to this site. Take care in asking for clarification, commenting, and answering. Check out our Code of Conduct.

Your Answer

s07_190030259 is a new contributor. Be nice, and check out our Code of Conduct.

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.